import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Tooltip } from './components/tooltip';
export var TooltipComponent = Intact.decorate(Tooltip, 'k-tooltip');
var components = [TooltipComponent];
var TooltipModule = /** @class */ (function () {
    function TooltipModule() {
    }
    TooltipModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], TooltipModule);
    return TooltipModule;
}());
export { TooltipModule };